curl --request POST \
--url https://external.pleo.io/v1/bookkeeping-categories:search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json;charset=UTF-8' \
--data '
{
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"archived": true,
"categoryGroupIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"name": "<string>"
}
'import requests
url = "https://external.pleo.io/v1/bookkeeping-categories:search"
payload = {
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"archived": True,
"categoryGroupIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"name": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json;charset=UTF-8"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/json;charset=UTF-8'
},
body: JSON.stringify({
companyId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
accountIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
archived: true,
categoryGroupIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
name: '<string>'
})
};
fetch('https://external.pleo.io/v1/bookkeeping-categories:search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"accountId": "123e4567-e89b-12d3-a456-426614174008",
"archived": false,
"categoryGroupId": "123e4567-e89b-12d3-a456-426614174007",
"companyId": "123e4567-e89b-12d3-a456-426614174006",
"id": "123e4567-e89b-12d3-a456-426614174005",
"name": "Office Supplies",
"taxCodeId": "123e4567-e89b-12d3-a456-426614174009"
}
],
"pagination": {
"currentRequestPagination": {
"parameters": {}
},
"endCursor": "string",
"hasNextPage": true,
"hasPreviousPage": true,
"startCursor": "string",
"total": 1
}
}Fetch a list of bookkeeping categories
Retrieves a list of bookkeeping categories with optional filters for company ID, list of IDs, archived status, list of account IDs and list of category group IDs. Results are paginated.
Authorizations
JWT Bearer token authentication. Include the token in the Authorization header as: Bearer <token>
Query Parameters
Lower bound of the page of data to return (cannot be used together with [after] or [offset]).
^[A-Z2-7=~]+$Upper bound of the page of data to return (cannot be used together with [before] or [offset]).
^[A-Z2-7=~]+$Offset of the page of data to return (cannot be used together with [before] or [after]).
x >= 0The maximum amount of items to return.
x >= 0The keys to sort the results by.
The order to sort the results by. Must be the same length as [sortingKeys]; one order per key.
ASC, ASC_NULLS_FIRST, ASC_NULLS_LAST, DESC, DESC_NULLS_FIRST, DESC_NULLS_LAST Body
Filter by company ID.
Filter by a list of bookkeeping account IDs.
Filter by a list of bookkeeping account IDs.
Filter by archived status.
Filter by a list of bookkeeping category group IDs.
Filter by a list of bookkeeping category group IDs.
Filter by a list of bookkeeping category IDs.
Filter by a list of bookkeeping category IDs.
Search by bookkeeping category name.
Was this page helpful?